/***************************************************************************

        Auticko - auticko.h

        copyright (C) 2002 by Josef Kufner <jkufner@seznam.cz>


     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

***************************************************************************/

#ifndef AUTICKO_CMD
#define AUTICKO_CMD
#define CMD_STOP	0
#define CMD_GO		1
#define CMD_LEFT	2
#define CMD_RIGHT	3
#endif

#if !defined(AUTICKO_PORT) && !defined(AUTICKO_MODELD)
#define AUTICKO_PORT
#endif

#if defined(AUTICKO_PORT) && defined(AUTICKO_MODELD)
#undef AUTICKO_MODELD
#endif

#if defined(AUTICKO_PORT)

#include "auticko-port.h"
#define Auticko_Init(a)			Auticko_Port_Init(a)
#define Auticko_Clean_Up() 		Auticko_Port_Clean_Up()
#define Auticko_Send_Command(a, b)	Auticko_Port_Send_Command(a, b)

#elif defined(AUTICKO_MODELD)

#include "auticko-modeld.h"
#define Auticko_Init(a)			Auticko_ModelD_Init(a)
#define Auticko_Clean_Up() 		Auticko_ModelD_Clean_Up()
#define Auticko_Send_Command(a, b)	Auticko_ModelD_Send_Command(a, b)

#endif

