/***************************************************************************

        Auticko - joystick.h

        copyright (C) 2002 by Josef Kufner <jkufner@seznam.cz>


     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

***************************************************************************/

#ifndef AUTICKO_JOYSTICK_H
#define AUTICKO_JOYSTICK_H


/* Joystick events */
#define JS_INIT		0x00
#define JS_X		0x01
#define JS_Y		0x02
#define JS_BTN0		0x10
#define JS_BTN0_X	0x20
#define JS_BTN1		0x11
#define JS_BTN1_X	0x21
#define JS_BTN2		0x12
#define JS_BTN2_X	0x22
#define JS_BTN3		0x13
#define JS_BTN3_X	0x23

typedef struct {
	int axis[2];		/* Nakloneni v ose X a Y */
	int btn[4];		/* Stav cudliku */

	char no_axis, no_btns;	/* Pocet os a cudliku (co je to za joystick) */
	int fd;			/* Deskriptor, kde je joystick otevren */
} JS_STATE;

extern JS_STATE js_state;

int joy_Init (void);
int joy_Get_Event (void);
int joy_Clean_Up (void);

#endif

